## advanced-systemui 0.5.0

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

# -lconic
LIBS = -lX11 -lXpm -lm -lXrandr -lXft -ldbus-1 -lgconf-2 -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags xft dbus-1 gconf-2.0` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o flashlight.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

gtk:
	@(cd gtk-settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd gtk-settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T asui.sh $(DESTDIR)/usr/bin/asui
	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)

	# autobuilder doesn't support -T
	# install -o root -g root -m 600 -T debian/asui-svc $(DESTDIR)/etc/asui-svc
	cp debian/asui-svc $(DESTDIR)/etc/ ; chown root.root $(DESTDIR)/etc/asui-svc ; chmod 600 $(DESTDIR)/etc/asui-svc

	@(cd gtk-settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c main.h											window.h        draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
config.o: Makefile config.c config.h									         main.h                                   hardware.h
window.o: Makefile window.c window.h									         main.h        text.h config.h services.h hardware.h dialog.h                        images/*.xpm
dialog.o: Makefile dialog.c dialog.h									window.h main.h draw.h text.h
draw.o: Makefile draw.c draw.h											window.h               text.h config.h
text.o: Makefile text.c text.h											window.h main.h
hardware.o: Makefile hardware.c hardware.h								window.h main.h               config.h services.h                     dbus.h dsme.h
services.o: Makefile services.c services.h								         main.h draw.h        config.h            hardware.h
dbus.o: Makefile dbus.c dbus.h											window.h main.h               config.h            hardware.h
dsme.o: Makefile dsme.c dsme.h											         main.h
secure.o: Makefile secure.c secure.h									         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h          flashlight.h widget_battery.h widget_clock.h
flashlight.o: Makefile flashlight.c flashlight.h						         main.h draw.h                            hardware.h dialog.h        dsme.h

button_lock.o: Makefile button_lock.c									         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c						window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c				window.h main.h draw.h text.h config.h            hardware.h dialog.h
button_rotate.o: Makefile button_rotate.c								window.h main.h draw.h        config.h            hardware.h
button_key_repeat.o: Makefile button_key_repeat.c						window.h main.h draw.h text.h config.h            hardware.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c				window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c				window.h main.h draw.h text.h config.h            hardware.h
button_settings.o: Makefile button_settings.c							window.h main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c					         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c widget_battery.h			window.h main.h draw.h text.h config.h services.h hardware.h dialog.h
widget_brightness.o: Makefile widget_brightness.c widget_brightness.h	window.h main.h draw.h text.h config.h            hardware.h
widget_volume.o: Makefile widget_volume.c widget_volume.h				window.h main.h draw.h text.h config.h            hardware.h
widget_bluetooth.o: Makefile widget_bluetooth.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c										window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c									window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c widget_clock.h					window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h          flashlight.h
widget_audio.o: Makefile widget_audio.c									window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c								window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c										window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c										window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c										window.h main.h draw.h text.h config.h            hardware.h
