=== gtk-settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)

LIBS = -lm `pkg-config --libs gtk+-2.0 hildon-1 dbus-1 gconf-2.0`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags gtk+-2.0 hildon-1 dbus-1 gconf-2.0`
LDFLAGS =

PROG = advanced-systemui-settings

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): main.o
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) main.o $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h
