=== statusbar/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 libosso hildon-1 libhildondesktop dbus-1

LIBS = `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROGS = libasui-power.so libasui-battery.so

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o core

install: $(PROGS)
	install -o root -g root -m 644 libasui-*.so $(DESTDIR)/usr/lib/hildon-desktop/
	install -o root -g root -m 644 asui-*.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	install -o root -g root -m 644 icons/* $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

libasui-power.so: power.o
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)
libasui-battery.so: battery.o
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $<

power.o: Makefile power.c
battery.o: Makefile battery.c
