=== debian/changelog ===
advanced-systemui (0.5.0) unstable; urgency=low

  * fix: config button was in the wrong location when in portrait mode
  * fix: config button will only launch one instance of asui-settings
  * fix: connecting the charger no longer unlocks the screen if lock&blank was used to lock it
  * fix: dimmed message will no longer appear while on charger and display stays lit setting is enabled
  * fix: ASUI properly re-initializes when enhanced brightness setting is changed
  * fix: openssh widget should no longer count certain clients twice
  * fix: secure keypad now updates temperature
  * fix: no longer autolocks device while in charging runlevel
  * fix: reboot from shutdown charging runlevel briefly allowed TK events while still in minimal UI
  * fix: bluetooth, gps, wifi and audio wouldn't fully start if partially started and had to be stopped first
  * fix: bluetooth and wifi should now have the correct state when ASUI is started and not all bt/wifi services are loaded
  * fix: wifi widget should no longer switch to off state between the connecting and connected states
  * fix: main loop would wake 10 times a second while screen was dimmed and ASUI widgets visible
  * fix: hardware flags were only cleared on widget redraws and a battery update would cause process viewer to loop with 100% load
  * fix: initializer flag for battery wasn't cleared causing it to be polled every 10 seconds
  * widgets and dialogs will no longer be repainted by dbus changes if the screen is off
  * no longer allows brightness and volume step to be set to zero
  * removed the charging runlevel button on secondary widget page
  * renamed "config" button to "settings"
  * GTK settings app supports all settings
  * red brightness icon above the secure keypad that toggles low/medium/high brightness
  * memory button can be long pressed to toggle between memory and swap
  * memory is now displayed in four different formats (swap also used these formats)
  * USB widget
  * governor name is replaced with DSP frequency when active and using a Diablo-Turbo kernel with op_locked support
  * key auto repeat status and toggle button on secondary widget page
  * screen autolock status and toggle button on secondary widget page
  * screen stays lit on charger status and toggle button on secondary widget page
  * split button code into separate files and modularized for upcoming button placement editor
  * brightness and volume keys now only work when the sliders are on the current widget page
  * configurable lock, lock&blank, blank and secure buttons (button modes section)
  * configurable action when securing device
  * configurable power button action when device is secured
  * mce_lock_screen() calls dsme_allow_blanking()
  * lock&blank and blank now temporarily adjusts settings so they always work
  * secure keypad is opened when a timer expires instead of waiting for device to become active
  * clock widget and fullscreen clock is now updated every 60 seconds on the minute instead of every 10 seconds
  * asui convenience script now displays an error message if not run as root
  * dsp ratio can be set from the governor dialog
  * listens for show, hide, rotate_left and rotate_right signals to map or unamp ASUI and rotate screen
  * listen for "req_battery_status" signal and send out "charging_status" and "battery_capacity" signals
  * power button statusbar applet to open ASUI
  * battery statusbar applet to open ASUI and replace default battery applet
  * added 'da' to asui convenience script to download and install statusbar applets
  * added short tap marker to theme button on n800
  * changed the line below lux value from orange to blue, and only display if !cfg_short_tap_markers
  * bluetooth headset state is now queried on startup
  * listens for shutdown_ind signal instead of polling, minimal UI will be displayed if shutdown issued outside of ASUI
  * refactored polling and redrawing of brightness, volume and battery widgets, flight mode, key repeat,
    screen stays lit and screen autolock buttons and added 5 second battery widget refresh timer
  * asui convenience script now uses run-standalone.sh to prevent dbus problems
  * asui convenience script commands to show or hide ASUI window
  * asui convenience script commands to rotate screen left or right
  * partial starting/stopping of services no longer starts services already running or stops services that aren't running
  * page indicator in widget edit mode
  * switched all ASUI signals to method calls

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sun, 13 Mar 2011 16:43:55 -0600

advanced-systemui (0.4.7) unstable; urgency=low

  * fix: wifi widget now turns on the hardware light for PPP connections and can disconnect them
  * fix: cpu frequency is polled before services so value isn't always 400mhz
  * fix: cpu freqency is polled every 10 seconds instead of every 30 like the governor
  * fix: ALS is no longer polled while screen is off
  * fix: tap throttling wasn't using the correct throttle period
  * fix: added a 60 second limit for tap throttling to prevent unresponsive buttons
  * fix: flashlight used a black background when white theme was active
  * fix: "rotating..." screen was black text on black background when white theme was active
  * moved brightness dsme code to dsme.c, brightness no longer has to create dsme socket for each change
  * green box around "Charged" label in battery widget
  * flashlight and clock now use dsme to permanently disable blanking and enable it when they are closed
  * lock&blank will always blank even after a blanking pause was used, no more timer on the lock button
  * console errors will only be displayed for test and debug releases
  * secure_button setting displays secure button to manually lock device with a code
  * keypad is displayed to unlock device when locked
  * keypad is disabled for 30 seconds after three failed attempts
  * keypad code is cleared if not unlocked within 60 seconds

