=== statusbar/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	Advanced System UI
-#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>
+#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>
 
 CC = gcc
 LD = $(CC)
