=== debian/changelog ===
advanced-systemui (0.5.1) unstable; urgency=low

  * fix: headphone connection change will relock the screen if it was locked
  * fix: screen stayslit toggle sets both gconf values
  * fix: transitioning from secure keypad to secondary widget page would cause battery widget to be drawn in the upper left corner
  * fix: prevent runaway focus in/out loop
  * fix: moved display state code from MCE dbus signal handler to dsme message handler, MCE lies about state when blanking is paused
  * fix: display notification if blanking pause is enabled when ASUI attempts to lock or blank the display
  * updated asui script to download from asui.garage.maemo.org
  * added 'reload' to asui convenience script
  * secondary key setting used along with power button to unlock screen
  * headphone connection change is treated like a power button press and screen can be unlocked with secondary key
  * popup clock/battery
  * new flight mode images

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Thu, 17 Mar 2011 20:04:45 -0600
