=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman <brand.huntsman@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the SystemUI menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
 .
 <URL:http://asui.garage.maemo.org>
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes, secondary power unlock key, popup clock
