## advanced-systemui 0.5.2

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,8 @@
 	# autobuilder doesn't support -T
 	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
 	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
+	# install -o root -g root -m 755 -T debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
+	cp debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early
 
 	# autobuilder doesn't support -T
 	# install -o root -g root -m 600 -T debian/asui-svc $(DESTDIR)/etc/asui-svc
