=== gtk-settings/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	strip $(PROG)
 
 clean:
-	rm -f $(PROG) *.o core
+	rm -f $(PROG) $(PROG)-test *.o core
 
 install: $(PROG)
 	strip $(PROG)
