=== debian/changelog ===
advanced-systemui (0.5.2) unstable; urgency=low

  * fix: allow default battery applet to be disabled
  * fix: ASUI properly locks the device with MCE
  * fix: if blank timeout isn't at least 10 seconds greater than dim timeout then power button will not dim the display if a secondary key is required to unlock
  * fix: tapping the battery applet will no longer change it to the solid red battery icon before values from ASUI have been received
  * more changes to the flight mode images
  * removed cpu percentage from popup clock
  * refreshed memory, frequency and temperature before drawing popup clock
  * added alarmd, metalayer-crawler and browserd to system services for process viewer
  * display names of shell scripts in process viewer
  * added gpsdriver_guard to process viewer and GPS service widget
  * init.d script and convenience script must now stop SystemUI whenever ASUI is started
  * changed runlevel order from SK99 to S61/K45
  * added advanced-systemui-early script at S26/K74
  * setting to not show clock popup when ASUI is mapped, except for on secure keypad
  * setting for minimum time between clock popups

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Tue, 22 Mar 2011 16:50:33 -0600
