=== debian/changelog ===
advanced-systemui (0.5.3) unstable; urgency=low

  * fix: short power button press no longer does anything while in minimal UI
  * fix: booting from charging runlevel now only displays keypad once
  * fix: screen should no longer turn back on when device becomes locked either from secure button or idle timeout
  * fix: blanking pause notification should no longer randomly appear when screen has been off longer than 6 seconds
  * fix: battery widget should no longer black out half the keypad clock in portrait mode
  * alarm support
  * removed popup clock vertical offset in portrait mode
  * display names of python scripts in process viewer
  * settings:services can now toggle ASUI and SystemUI to run at boot
  * settings:services can now start, stop or restart ASUI and SystemUI
  * settings:services can now toggle rc5 networking
  * settings:services can now start, stop, restart all services
  * settings:services can now toggle services started during boot
  * removed /etc/asui-svc
  * icons to open ASUI and ASUI Settings
  * asui convenience script doesn't require root when using the show, hide, left, right, reload or settings commands

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sun,  3 Apr 2011 08:07:02 -0600
