## advanced-systemui 0.5.4

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 
 	install -o root -g root -m 644 advanced-systemui*.desktop $(DESTDIR)/usr/share/applications/hildon/
 	install -o root -g root -m 644 asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
+	install -o root -g root -m 644 advanced-systemui.sudoers $(DESTDIR)/etc/sudoers.d/
 
 	@(cd settings ; make install)
 	@(cd statusbar ; make install)
