=== debian/changelog ===
advanced-systemui (0.5.4) unstable; urgency=low

  * fix: ASUI unmaps when booting from charging runlevel and start visible unset
  * fix: ASUI redraws when booting from charging runlevel and start visible is set
  * fix: asui-settings icon now calls `asui settings` with sudo so it can control services
  * fix: restart systemui when uninstalling advanced-systemui package
  * fix: removed auto-devlock code and properly restore ASUI map state
  * merged statusbar power button and battery applets and added setting in battery section
  * statusbar applet listens for battery_low signal and displays notification
  * power unlock key defaults to dpad center on n800 and fullscreen on n810

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Tue,  5 Apr 2011 08:54:35 -0600
