=== debian/control ===
--- 
+++ 
@@ -18,4 +18,4 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes, alarm support and service control
+XB-Maemo-Upgrade-Description: bug fixes
