## advanced-systemui 0.5.5

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 text.o: Makefile text.c											window.h main.h        text.h
 hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h          dbus.h dsme.h
 services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
-dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h          alarm.h
+dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h
 dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h
 secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
 alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h
