=== debian/changelog ===
advanced-systemui (0.5.5) unstable; urgency=low

  * fix: increased minimum alarm duration to 20 seconds to eliminate a divide by zero error
  * fix: devlock_open handler properly relocks screen and keys if they were locked before the signal
  * fix: power button no longer unmaps ASUI it used to wake an unlocked screen
  * fix: power button no longer turns screen on and then back when used to wake an unlocked secure keypad
  * fix: secure keypad is no longer briefly unmapped when power button used to blank screen
  * fix: charging runlevel will dismiss alarms immediately to prevent problems, this also causes the device to boot
  * fix: dpad center as secondary power unlock key now works on n800
  * fix: dpad arrow keys are now rotated when another app rotates the screen
  * fix: icons now work in Telescope
  * fix: battery applet should now transition from power button to battery icon every time it starts up
  * settings app can now go fullscreen
  * minor cosmetic fixes on secure keypad code dots and brightness icon
  * short tap markers for battery and brightness buttons on secure keypad
  * screen&keys active notification whenever the screen turns on and is not locked
  * statusbar only loads each icon once as battery drains
  * package icon for display in application manager

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat,  9 Apr 2011 07:28:28 -0600
