=== debian/control ===
--- 
+++ 
@@ -19,3 +19,23 @@
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
 XB-Maemo-Upgrade-Description: bug fixes
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9sECQsBLWw0LdMAAALOSURBVEjHvVZNbqMwGH1gqHCpElF1aW+yzQVg
+ b2kWXfcuPUJ6hVyBG4zYwwXaJRu8oYqEhDCCtiSzGFM5afPDjGY+6W2iz3rx
+ +56/h4UJtVqtGAAOgAGQAIrHx0d5yVkH04oDCAFEAFL92z8hYprkYQoJANj4
+ T+VcMA9cMgvdDwD4rpecOBQB+AFgCQBCiFoTLzVeNGohxBLAD0rpEsBcCFEn
+ SVKflM4gedAI9WxOFiGEG+ci84bHZjQeiIyBnx36MAyFYZgvZPY3twk1oC0c
+ A0iPzShJErler9MgCGLdKwEwpdRDWZaREILtEQkhWFmWkVIqupTELN2Tju+L
+ EBJRSqPFYsH3iBaLBaeURoQQkyi99OUbZCMYIYT5vs/27O37PiOEMK1xCkBO
+ ITFKApCe50kAzPd9tlqtmGPMhhk7TE559QdVGOAjbMNpI8zGyXUo3wjHsOQl
+ skljmaZ/tevatmVVVbHRlt/Ikmk3ZlNu7QBAWZa4ubkBIQS2bXNCCNe2lEdk
+ +bOlqpSSlFJJCPliy6llGqvrOgzDgKZpfkuX53mx2WwKpVQBAJZlsaurq2Py
+ XRKOI+QwDFIpJe1xjQDIXNfNAMgD+abeJgQQdl3HlFLFZrMp8jwvPmMiCALc
+ 3t7Cdd2ZbdvcsqyZ53nz+/v7WgiBw7VvlhCCGVERAZi9vb3J7XYbd12XxXH8
+ Yp2IiFG2zHDbXgAKIZi+dXh3d8cdxwmvr68BQFZVlVZVleV5XiRJIq0zeRQd
+ 2LowXVdVFSOE8Pf399D3fd73PXNdN+37Pg6CIDb/lHUmYUeyz88rk6htW2bb
+ NgfAPM+TbdsWfd/HVVVl6/U6PRvlSZLUOrprAHXbthiGYf7x8bF0HGeM8uUw
+ DBxAvd1un13X/dk0zadceZ7XZ4kOyOTr6+t8t9vNdrsd9zzvs0cphb7vn5um
+ yWazWUwpTZ+enl4OSQDgF4Zoc6dzw3J0AAAAAElFTkSuQmCC
